Subject: MINUTES OF ARCHITECTURE REFERENCE SIG AT AIW9

From: "Ralph Case" <[email-masked]>
Date: Thu, 11 Jan 96 11:07:00 EST

This SIG discusses clarifications, fixes, and minor
   enhancements to the APPN architecture.  The focus is on
   improving the quality and interoperability of APPN
   Implementations.

   If we've missed something from the meeting, or if you
   have additional questions or comments, please post them
   here or send them directly to us.

   I'd like to thank everyone who participated in the
   discussions at the SIG meeting.  I'd especially like to
   thank those who took the time and effort to prepare
   presentations:

   o   Mike Allen
   o   Gary Dudley
   o   Bob Moore
   o   Ed Tremblay

 ARCHITECTURE UPDATES AND DISCUSSIONS
 ____________________________________

   This is a brief record of the discussions.  See the
   various mail logs for additional discussion on many of
   the topics.

 FIX INCORRECT DEFINITION OF DLUR ACTPU INDICATOR

   This item is documented in "abs8333.txt" and
   "arch8333d.psbin".  The previous description was
   incorrect.  This correction is now APPROVED.

 DLUR MIB CHANGES

   Changes were proposed to keep the DLUR MIB in step with
   work on the SNA NAU MIB.  It was agreed that it is too
   early to make any changes, but that we will follow the
   lead of the NAU MIB.

 GENERIC ALERT CHANGES

   Two changes were proposed for specific alerts.  These are
   documented in "aiw9alrt.ps".  We agreed to give members
   time to review these changes and ask for approval
   electronically.

 TOPOLOGY NONVERIFY BYPASS

   This item was discussed at AIW8.  Specific architecture
   changes for SNA formats were distributed and documented
   in "arch8306.psbin".  These changes are now APPROVED as a
   new option.

 PORT LINK ACTIVATION LIMITS

   This issue was raised at a previous AIW.  There is a
   suggestion to mark connection network links "quiesced"
   rather than "inoperational" when the activation limit is
   reached.  There was agreement on this proposal.  A
   specific change will be submitted for approval.

 ENHANCEMENT OF APPN DIRECTORY SERVICES TO SUPPORT RESOURCE TYPES OTHER THAN LUS

   This is a proposal for a new addition to APPN directory
   services.  It is documented in "locsrvc1".  There was
   more discussion about the proposal, but no definitive
   agreements were reached.  In particular there was not a
   clear consensus that APPN directory services is the
   correct base on which to build this function.  There was
   a consensus on some requirements:

   o   Must have the capability to register non-LU resources
       (server applications) with DS: TPs, MPTN addresses...
   o   Protect existing applications
   o   Protect existing NNs (no "forklift upgrade")
   o   API:  register, delete, query, connect
   o   Solution must be scalable and fault-tolerant.

   The CIW will be asked to work on the part of the proposal
   that deals with application programming interfaces.

 ADAPTIVE ONE-STAGE PACING

   You can configure APPC applications to send out BINDs
   with mode definitions which have primary and secondary
   receive windows of zero, when you use adaptive one-stage
   pacing.  There was some discussion about how this should
   be handled by APPN and ISR nodes.  We didn't have a
   definitive answer, but I believe the rules are specified
   in the Session Manager chapter of LU 6.2 Reference: Peer
   Protocols (SC31-6808-01) (see page 4-37).  The
   session-level pacing discussion in the APPN Architecture
   Reference (SC30-3422-03) starting on page 11-12 is also
   relevant.

 DOCUMENTATION
 _____________

   There was a discussion of the best way to publish APPN
   architecture documentation and changes.  The editors
   (IBM) mentioned that it is very expensive to produce
   TNLs, and solicited suggestions on other ways to update
   documents.  There was a suggestion to make documents and
   changes available in HTML.

   We are exploring ways to make better softcopy documents
   available in a more timely manner.  In particular, the
   DLUR documentation is available in a variety of forms:

   o   Postscript format, printable; available on the
       architecture repository.
   o   BOOK format, readable with IBM BookManager Read or
       IBM Library Reader; available on the architecture
       repository and on the IBM Networking Systems Softcopy
       Collection Kit (SK2T-6012) CD-ROM.
   o   on the IBM BookServer, readable with a web browser.

   Please give us feedback on which you like best and why.

   All references to the "architecture repository" in these
   minutes refer to the appropriate directory on the
   networking.raleigh.ibm.com host.  Files are available via
   anonymous FTP.  Most files were also included in the
   binder for easy reference at the meeting.

   I will update the "architem" file to reflect these new
   status changes to the architecture items.

       Ralph Case
       AIW APPN Reference SIG chair
       IBM Networking Hardware Division
       [email-masked]
       (919)254-1882